curl --request PUT \
--url https://cloud.memsource.com/web/api2/v2/projects/{projectUid} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"archived": true,
"customFields": [
{
"selectedOptions": [
{
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
}
],
"value": "<string>"
}
],
"dateDue": "2023-11-07T05:31:56Z",
"fileHandover": true,
"lqaProfiles": [
{}
],
"note": "<string>",
"propagateTranslationsToLowerWfDuringUpdateSource": true,
"purchaseOrder": "<string>"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v2/projects/{projectUid}"
payload = {
"name": "<string>",
"archived": True,
"customFields": [
{
"selectedOptions": [{ "uid": "3HYnHHLkTPJfMxBCDbPXFe" }],
"value": "<string>"
}
],
"dateDue": "2023-11-07T05:31:56Z",
"fileHandover": True,
"lqaProfiles": [{}],
"note": "<string>",
"propagateTranslationsToLowerWfDuringUpdateSource": True,
"purchaseOrder": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
archived: true,
customFields: [{selectedOptions: [{uid: '3HYnHHLkTPJfMxBCDbPXFe'}], value: '<string>'}],
dateDue: '2023-11-07T05:31:56Z',
fileHandover: true,
lqaProfiles: [{}],
note: '<string>',
propagateTranslationsToLowerWfDuringUpdateSource: true,
purchaseOrder: '<string>'
})
};
fetch('https://cloud.memsource.com/web/api2/v2/projects/{projectUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userRole": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"domain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"id": "<string>",
"internalId": 123,
"mtSettingsPerLanguageList": [
{
"targetLang": "<string>",
"machineTranslateSettings": {
"id": "<string>",
"name": "<string>",
"type": "<string>",
"uid": "<string>"
}
}
],
"name": "<string>",
"owner": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"references": [
{
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"filename": "<string>",
"id": "<string>",
"note": "<string>",
"uid": "<string>"
}
],
"sourceLang": "<string>",
"subDomain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"targetLangs": [
"<string>"
],
"uid": "<string>"
}Edit project
Deprecated. Use PATCH /api2/v1/projects/ instead.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Unique identifier of the project
Body
Project fields to update
255When true, archives the project
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Custom fields for project
Show child attributes
Show child attributes
Due date for the project
Show child attributes
Show child attributes
When true, enables file handover for the project
Lqa profiles that will be added to workflow steps
Show child attributes
Show child attributes
Internal note for the project
4096Show child attributes
Show child attributes
When true, propagates translations to lower workflow steps when updating the source file
Purchase order number
255Project status
NEW, ASSIGNED, COMPLETED, ACCEPTED_BY_VENDOR, DECLINED_BY_VENDOR, COMPLETED_BY_VENDOR, CANCELLED Show child attributes
Show child attributes
Response
OK
Base projectDto
Response differs based on user's role
Date the project was created
Show child attributes
Show child attributes
Internal numeric identifier, encoded as a string
Sequential numeric identifier scoped to the organization (first project in the org is 1)
Machine translation settings per target language
Show child attributes
Show child attributes
Project name
Show child attributes
Show child attributes
Reference files attached to the project
Show child attributes
Show child attributes
Source language code
Project status; one of NEW, ASSIGNED, COMPLETED, ACCEPTED_BY_VENDOR, DECLINED_BY_VENDOR, COMPLETED_BY_VENDOR, CANCELLED. Null when the organization hides progress and status from non-linguist, non-bot callers.
NEW, ASSIGNED, COMPLETED, ACCEPTED_BY_VENDOR, DECLINED_BY_VENDOR, COMPLETED_BY_VENDOR, CANCELLED Show child attributes
Show child attributes
Target language codes
Unique identifier used in API paths
Was this page helpful?